<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('companies', function (Blueprint $table) {
            $table->boolean('backdate_enabled')
                ->default(true)
                ->after('allow_document_upload')
                ->comment('Izinkan user membuat aktivitas untuk tanggal sebelumnya');
            
            $table->boolean('allow_business_trip')
                ->default(true)
                ->after('backdate_enabled')
                ->comment('Aktifkan fitur perjalanan dinas');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('companies', function (Blueprint $table) {
            $table->dropColumn(['backdate_enabled', 'allow_business_trip']);
        });
    }
};
